| API Docs for SAX and DOM |

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# MemBufFormatTarget Class Reference

`#include <MemBufFormatTarget.hpp>`

Inheritance diagram for MemBufFormatTarget

[legend]
Collaboration diagram for MemBufFormatTarget:

[legend]
List of all members.

## Public Methods

virtual void | writeChars (const XMLByte *const toWrite,const unsigned int count,XMLFormatter *const formatter)
const XMLByte* | getRawBuffer ()const
| Returned the internal raw buffer.
unsigned int | getLen ()const
| Returned the length of the raw buffer.
constructors and destructor
| MemBufFormatTarget (int initCapacity=1023)
| ~MemBufFormatTarget ()
reset
void | reset ()
| Reset the internal string buffer.

## Constructor & Destructor Documentation

MemBufFormatTarget::MemBufFormatTarget ( | int initCapacity = 1023 )

MemBufFormatTarget::~MemBufFormatTarget ( | )

## Member Function Documentation

unsigned int MemBufFormatTarget::getLen ( | ) const

| Returned the length of the raw buffer.

const XMLByte * MemBufFormatTarget::getRawBuffer ( | ) const

| Returned the internal raw buffer.

void MemBufFormatTarget::reset ( | )

| Reset the internal string buffer.

virtual void MemBufFormatTarget::writeChars ( | const XMLByte *const toWrite,
| const unsigned int count,
| XMLFormatter *const formatter )`[virtual]`

| Reimplemented from XMLFormatTarget.

The documentation for this class was generated from the following file:

- MemBufFormatTarget.hpp

Copyright © 2000 The Apache Software Foundation. All Rights Reserved.